SUPYBOT-BOTCHK(1)

NAME
supybot-botchk - A script to start Supybot if it's not already running.

SYNOPSIS
supybot-botchk [options]

DESCRIPTION
supybot-botchk is a script that will start Supybot if it detects that one is not currently running. This can be useful for scheduling supybot(1) to run via cron(8).

OPTIONS

-h, --help
    Show summary of options.

-v, --verbose
    Use verbose output when running the script.

--botdir=BOTDIR
    Determines which directory the bot be started in.

--pidfile=PIDFILE
    Specifies the name of the pidfile to look for. This should be relative to the given botdir.

--supybot=SUPYBOT
    Specifies the location of supybot(1). If this is not given, it is assumed that supybot(1) is in the user's $PATH.

--conffile=CONFFILE
    Specifies the path to the bot's configuration file. This will be used when (re)starting the bot.

SEE ALSO
python(1), supybot(1), supybot-test(1), supybot-wizard(1), supybot-adduser(1), supybot-plugin-doc(1), supybot-plugin-create(1)

AUTHOR
This manual page was originally written by James McCoy <vega dot james at gmail dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Supybot license, a BSD-style license.